
Core - Bug # 49075

Status: Resolved Priority: Must have
Author: Franz Holzinger Category: Install Tool
Created: 2013-06-12 Assigned To:
Updated: 2013-09-14 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: Install tool uninstallation does not clear the cache_core
Description

If you remove an extension using the install tool, then the cache is not cleared.

E.g. you have an extension "broken_extension" installed which breaks the backend. Then you will try to deinstall it using the install
tool. And still the broken extension's cache is active.

Warning: require_once(/var/www/patch/web/typo3conf/ext/broken_extension/hooks/statusreport/ext_localconf.php): failed to open
stream: No such file or directory in
/var/www/path/web/typo3temp/Cache/Code/cache_core/ext_localconf_85960581373e077434b42e18e3c86c43deaeb4e4.php on line
2724 Fatal error: require_once(): Failed opening

Related issues:
related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30
related to Core - Feature # 50495: Add a clear all cache button to install tool Resolved 2013-07-27

History
#1 - 2013-06-17 09:50 - Alexander Opitz
- Category set to Install Tool

#2 - 2013-07-18 13:21 - Andrea Herzog-Kienast

Same problem with TYPO3 6.1

Warning: require(/www/203623_70794/rp-hosting/7516/8516/typo3cms/greenpresent-shop/typo3conf/ext/tt_products/ext_localconf.php)
[function.require]: failed to open stream: No such file or directory in
/kunden/203623_70794/rp-hosting/7516/8516/typo3cms/typo3_src-6.1.1/typo3/sysext/core/Classes/Utility/ExtensionManagementUtility.php on line
1551

Fatal error: require() [function.require]: Failed opening required
'/www/203623_70794/rp-hosting/7516/8516/typo3cms/greenpresent-shop/typo3conf/ext/tt_products/ext_localconf.php'
(include_path='/www/203623_70794/rp-hosting/7516/8516/typo3cms/greenpresent-shop/typo3/contrib/pear/:.:/usr/local/lib/php') in
/kunden/203623_70794/rp-hosting/7516/8516/typo3cms/typo3_src-6.1.1/typo3/sysext/core/Classes/Utility/ExtensionManagementUtility.php on line
1551

Best,
Andrea

#3 - 2013-09-12 23:50 - Wouter Wolters
- Is Regression set to No

This is solved in Install Tool for TYPO3 CMS 6.2

#4 - 2013-09-14 22:05 - Christian Kuhn
- Status changed from New to Resolved
- Target version set to 6.2.0
- % Done changed from 0 to 100

Solved in 6.2 install tool, will not be backported to 6.1.
